Bring a hidden chart back onto the strip (hidden: false)
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"viewName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({viewName: '<string>'})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show"
payload = { "viewName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"panel": {
"id": "<string>",
"title": "<string>",
"type": "stat",
"metric": "count",
"sortOrder": 123,
"metricField": "<string>",
"groupBy": "<string>",
"dateField": "<string>",
"dateBucket": "day",
"filters": {},
"size": "sm",
"span": 2,
"hidden": true,
"derived": "conversion_rate"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Bring a hidden chart back onto the strip (hidden: false)
Bring a hidden chart back onto the strip (hidden: false).
POST
/
crm
/
objects
/
{objectName}
/
analytics
/
panels
/
{panelId}
/
show
Bring a hidden chart back onto the strip (hidden: false)
curl --request POST \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"viewName": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({viewName: '<string>'})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/analytics/panels/{panelId}/show"
payload = { "viewName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"panel": {
"id": "<string>",
"title": "<string>",
"type": "stat",
"metric": "count",
"sortOrder": 123,
"metricField": "<string>",
"groupBy": "<string>",
"dateField": "<string>",
"dateBucket": "day",
"filters": {},
"size": "sm",
"span": 2,
"hidden": true,
"derived": "conversion_rate"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json